/* Peter Schaeffer */
#include <stdio.h>
#include <math.h>

#define SQR(x) ((x)*(x))

FILE *in;
double x, y;

int main()
{
  in=stdin;
  while(1)
    {
      fscanf(in, " %lf %lf ", &x, &y);
      if (y==0) break;
      double res=M_PI*SQR((y/(1.0+M_PI))/2.0)*x;
      if (y/(1.0+M_PI)>x) res=M_PI*SQR((x)/2.0)*x;
      double res1=M_PI*SQR((x/M_PI)/2.0)*(y-x/M_PI);
      if (res1>res) res=res1;
      printf("%.3f\n", res);
    }
  return 0;
}
